Bug 453404 - [enh] retry DHCP if there aren't any other wired connections and DHCP failed
[enh] retry DHCP if there aren't any other wired connections and DHCP failed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Triaged
: 489735 513455 530203 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-30 09:03 EDT by Jeffrey Moyer
Modified: 2011-07-21 02:12 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:10:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NetworkManager messages logged in /var/log/messages (4.39 KB, text/plain)
2008-06-30 09:03 EDT, Jeffrey Moyer
no flags Details

  None (edit)
Description Jeffrey Moyer 2008-06-30 09:03:06 EDT
Description of problem:
We had a site-wide power outage, and I assume the dhcp server did not come
online until after my workstation rebooted.  NetworkManager never recovered.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.9.4.svn3675.fc9.x86_64

How reproducible:
Not sure.
Comment 1 Jeffrey Moyer 2008-06-30 09:03:06 EDT
Created attachment 310580 [details]
NetworkManager messages logged in /var/log/messages
Comment 2 Dan Williams 2008-07-02 18:55:41 EDT
Yep; we need to be more aggressive about re-trying available connections after a
short timeout.  This is on the list to fix.
Comment 3 Jeffrey Moyer 2008-07-03 08:21:00 EDT
(In reply to comment #2)
> Yep; we need to be more aggressive about re-trying available connections after a
> short timeout.  This is on the list to fix.

Great, glad to hear it's on the list.  However, this was not just a short
timeout.  I think that after 2 days NM didn't bring up the link.
Comment 4 Dan Williams 2009-02-14 15:33:26 EST
Yeah, there's code in NM that after a certain number of failures (like the cable being pulled, plugged back in, and DHCP not coming up for a while) it'll just time out that connection and not retry.  We should probably have a backoff algorithm to keep retrying available connections for wired devices periodically.
Comment 5 Dan Williams 2009-03-16 13:17:43 EDT
*** Bug 489735 has been marked as a duplicate of this bug. ***
Comment 6 Rajeesh 2009-03-16 23:10:31 EDT
Dan,

The average user tries { 1) Unplug the cable, and plug again ; 2) Toggle the "Enable Networking" button for a few times in NM applet} in the hope that connection will be reactivated  (I've seen a lot of guys doing the same and whining about it), as it is more intuitive for them.

So it would be great if eth0 is tried to activate at least when we receive the event of "re-plug". I checked "dbus-monitor --system" as you had mentioned in some of the earlier bug reports, and found that the events are recognized, but the corresponding signal is not passed to the interface as "there is no interface".

I can reproduce this issue very reliably (as I can poweroff/on DSL router/modem as I wish :-), so please ask if you need any additional info.

Thanks!
Comment 7 Dave Morris 2009-04-04 17:27:09 EDT
Rajeesh,

I've seen this happen with a rack of servers. Going round twiddling the network cable on each machine isn't an option, neither is logging in to the GUI and poking NM Applet.

Dan,

NetworkManager seems to be primarily aimed at laptops which are regularly connected and disconnected from different networks. In which case a lot of this functionality makes sense.

However, in Fedora 9, 10 and 11 NetworkManager is installed as the default even if you are setting up a desktop or server that is wired to a physical network.

If NetworkManager is intended to be used in desktops and servers, then  you need to replicate the behavior of the original DHCP client and keep retrying until it gets a response.

I have a couple of dev machines configured on a separate network, and am happy to re-test if that helps.

Thanks,
Dave
Comment 8 Bug Zapper 2009-06-09 21:51:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Dave Morris 2009-06-29 14:41:15 EDT
Please update the version and save this from the Bug Zapper.
I have seen the same bug in Fedora 10.

At the moment I can't reproduce because I stopped updating my Fedora servers and have changed to using other distributions on test machines.
Comment 10 Rajeesh 2009-06-29 23:42:54 EDT
I can confirm that this issue is present in Fedora 11, fully updated as of 29 June '09.
Comment 11 Dan Williams 2009-10-26 18:25:01 EDT
*** Bug 530203 has been marked as a duplicate of this bug. ***
Comment 12 Konrad Karl 2010-01-22 18:25:10 EST
Bug still present on current F12.

F12 i386 guest in Virtualbox. It is always getting disabled when
I boot the VM andI have to enable eth0 manually. May be timing related.

This behaviour is _really_ annoying (TM). Why can't this NM retry
the DHCP in the background automatically? 

Enabling eth0 manually afterwards never failed for me.

Moreover, eth0 is the only one wired connection. It should never
disable itself. ethtool tells "Link detected: yes".

Please fix this deficiency, should not be too difficult.

Konrad
Comment 13 Dan Williams 2010-06-15 11:53:40 EDT
*** Bug 513455 has been marked as a duplicate of this bug. ***
Comment 14 Bug Zapper 2010-11-04 07:51:50 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-12-05 02:10:07 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Sandro Bonazzola 2011-07-14 08:30:45 EDT
Still present in Fedora 14 and Fedora 15.
Already present in upstream bugzilla: https://bugzilla.gnome.org/show_bug.cgi?id=511581

Please reopen this bug
Comment 17 Sandro Bonazzola 2011-07-21 02:12:39 EDT
https://bugzilla.gnome.org/show_bug.cgi?id=511581#c9
"Dan Williams [NetworkManager developer] 2011-07-19 19:13:51 UTC

jklimes did a patch to clear the invalid marker on failed connections after a
few minutes, which should handle the wired DHCP failure case.  Commit
fdfbe00aac3f17b19bb8d84cba1c8f210d90e8a0 from Jun 17th."

Note You need to log in before you can comment on or make changes to this bug.